### Method

# Shell WindowPreviewLayout add_window

#### Declaration [src]

    ClutterActor*
    shell_window_preview_layout_add_window (
      ShellWindowPreviewLayout* self,
      MetaWindow* window
    )

#### Description [src]

Creates a ClutterActor drawing the texture of `window` and adds it to the container. If `window` is already part of the preview, this function will do nothing.

#### Parameters

`window`

  Type: `MetaWindow`

  The `MetaWindow`.

  The data is owned by the caller of the method.

#### Return value

Type: `ClutterActor`

The newly created actor drawing `window`.

The data is owned by the instance.
The return value can be `NULL`.